//
//  NTTank.m
//  NewtonTest
//
//  Created by William Thimbleby on Sat Mar 05 2005.
//  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
//

#import "NTTank.h"
#import <OpenGL/gl.h>

int tankNum=0;

@implementation NTTank

- (id)init
{
	self = [super init];
	
	tankModel = [[OBJModel alloc] initWithFile:[NSString stringWithFormat:@"%@/myTank2.obj", [[NSBundle mainBundle] resourcePath]]];
	
	if(tankNum == 1)
	{
		MTLLoader   *loader;
		MTLMaterial *material;
		
		loader = [tankModel materialLoader];
		material = [loader getMaterial:@"body_auv"];

		material->diffuseColor.r = 0;
		material->diffuseColor.g = 1;
		material->diffuseColor.b = 0;
	}
	
	tankNum++;
	return self;
}

- (void)drawShadow
{
	return;
	glPushMatrix();
	glMultMatrixf (matrix);	
	
	glTranslatef(0,-0.125,0);
	glScalef(0.1,0.1,0.1);

	//[tankModel castShadow];
	
	glPopMatrix();
}

- (void)draw
{
	glPushMatrix();
	glMultMatrixf (matrix);	
	
	glTranslatef(0,-0.125,0);
	glScalef(0.1,0.1,0.1);
	[tankModel render];
	
	glPopMatrix();
}

@end
