//
//  NTBall.m
//  NewtonTest
//
//  Created by William Thimbleby on Sat Mar 05 2005.
//  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
//

#import "NTBall.h"
#import <OpenGL/gl.h>
#import <OpenGL/glu.h>


@implementation NTBall
- (void)setMatrix:(const float*) mat
{
	memcpy(matrix, mat, 16*sizeof(float));
	
	//NSLog(@"{%f,%f,%f,%f\n%f,%f,%f,%f\n%f,%f,%f,%f\n%f,%f,%f,%f}",mat[0],mat[1],mat[2],mat[3],mat[4],mat[5],mat[6],mat[7],mat[8],mat[9],mat[10],mat[11],mat[12],mat[13],mat[14],mat[15]);
}

- (void)drawShadow
{

}

- (void)draw
{
	glPushMatrix();
	glMultMatrixf (matrix);
	glScalef(0.1,0.1,0.1);
	
	glDisable(GL_TEXTURE_2D);
	glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
	//glBindTexture(GL_TEXTURE_2D, woodTex);
	glColor3f(0.1,0.1,0.1);
	
	// Get a new Quadric off the stack
	GLUquadricObj *pObj = gluNewQuadric();				
	// Get a new Quadric off the stack
	gluQuadricTexture(pObj, true);						

	gluSphere(pObj, 1.0f, 20, 20);					

	gluDeleteQuadric(pObj);	
	
	
	glDisable(GL_TEXTURE_2D);
	
	glPopMatrix();
}

@end
